<bugID>1107356<Summary>"browser-search-engine-modified" is not emitted if we toggle a checkbox in one-off search preference.</Summary><Description>[reproducible revision]
* https://hg.mozilla.org/mozilla-central/rev/2c9781c3e9b5
* Enable one-off search (bug 1088660)

[step to reproduce]
1. Open "Search" pane in "Preference" window/tab.
2. Toggle a checkbox which switch whether a search engine is shown up in one-off search.

[current result]
"browser-search-engine-modified" nsIObserver topic will not not emitted.

[expected]
"browser-search-engine-modified" should be emitted.
If our codes/add-ons subscribe it topic, they can handle the change of search engine preference. Before the landing bug 1088660, the old search bar emitted if we add/remove a search engine. I think we should emit the topic when user toggle a search engine in search pane for one-off search.</Description></bugID>